Avro C#

Public Member Functions | Properties | List of all members
Avro.Reflect.ArrayHelper Class Reference

Class to help serialize and deserialize arrays. Arrays need the following methods Count(), Add(), Clear().true This class allows these methods to be specified externally to the collection. More...

## Public Member Functions
virtual int | Count ()
| Return the number of elements in the array. More...
virtual void | Add (object o)
| Add an element to the array. More...
virtual void | Clear ()
| Clear the array. More...
| ArrayHelper (IEnumerable enumerable)
| Constructor More...

## Properties
static Type | DefaultType`[get, set]`
| Collection type to apply by default to all array objects. If not set this defaults to a generic List. More...
IEnumerable | Enumerable`[get, set]`
| The array More...
virtual Type | ArrayType`[get]`
| Type of the array to create when deserializing More...

## Detailed Description

Class to help serialize and deserialize arrays. Arrays need the following methods Count(), Add(), Clear().true This class allows these methods to be specified externally to the collection.

## Constructor & Destructor Documentation

## ◆ ArrayHelper()

Avro.Reflect.ArrayHelper.ArrayHelper | ( | IEnumerable | enumerable | ) |
| inline

Constructor

Parameters

  enumerable | Enumerable to initialize this helper with.

## Member Function Documentation

## ◆ Add()

virtual void Avro.Reflect.ArrayHelper.Add | ( | object | o | ) |
| inline virtual

Add an element to the array.

Parameters

  o | Element to add to the array.

## ◆ Clear()

virtual void Avro.Reflect.ArrayHelper.Clear | ( |  | ) |
| inline virtual

Clear the array.

## ◆ Count()

virtual int Avro.Reflect.ArrayHelper.Count | ( |  | ) |
| inline virtual

Return the number of elements in the array.

## Property Documentation

## ◆ ArrayType

virtual Type Avro.Reflect.ArrayHelper.ArrayType
| get

Type of the array to create when deserializing

## ◆ DefaultType

Type Avro.Reflect.ArrayHelper.DefaultType
| static get set

Collection type to apply by default to all array objects. If not set this defaults to a generic List.

## ◆ Enumerable

IEnumerable Avro.Reflect.ArrayHelper.Enumerable
| get set

The array

The documentation for this class was generated from the following file:

- src/apache/main/Reflect/ArrayHelper.cs